import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputKursart extends JavaObject {
    enmRevision: number;
    id: number;
    representation: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputKursart;
    static transpilerToJSON(obj: KursblockungInputKursart): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputKursart>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputKursart(obj: unknown): KursblockungInputKursart;
